Creates one Direct/Queue Idle task through distinct handlers and the shared replay protocol.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/tasks/runtime/tasks"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"OperationId\": \"example\", \"DefinitionId\": \"example\", \"ResponsibleId\": \"example\", \"OwnerId\": \"example\", \"Subject\": \"example\", \"Description\": \"example\", \"DueAtUtc\": \"2026-04-15T12:00:00Z\", \"AvailableAtUtc\": \"2026-04-15T12:00:00Z\", \"Context\": { \"ModuleKey\": \"example\", \"ResourceKind\": \"example\", \"ContextResourceId\": \"example\", \"ResourceObjectId\": \"example\" }, \"Input\": { \"additionalProperty\": \"example\" }, \"Working\": { \"additionalProperty\": \"example\" }, \"QueueId\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/runtime/tasks';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"OperationId":"example","DefinitionId":"example","ResponsibleId":"example","OwnerId":"example","Subject":"example","Description":"example","DueAtUtc":"2026-04-15T12:00:00Z","AvailableAtUtc":"2026-04-15T12:00:00Z","Context":{"ModuleKey":"example","ResourceKind":"example","ContextResourceId":"example","ResourceObjectId":"example"},"Input":{"additionalProperty":"example"},"Working":{"additionalProperty":"example"},"QueueId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/tasks/runtime/tasks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "OperationId": "example", "DefinitionId": "example", "ResponsibleId": "example", "OwnerId": "example", "Subject": "example", "Description": "example", "DueAtUtc": "2026-04-15T12:00:00Z", "AvailableAtUtc": "2026-04-15T12:00:00Z", "Context": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "Input": { "additionalProperty": "example" }, "Working": { "additionalProperty": "example" }, "QueueId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Creation intent only. Authority is resolved from the authenticated transport.
object
Stable identity of one Moltaro resource instance.
object
object
object
Required for Queue-mode Definitions and rejected for Direct Definitions.
Examplegenerated
{ "OperationId": "example", "DefinitionId": "example", "ResponsibleId": "example", "OwnerId": "example", "Subject": "example", "Description": "example", "DueAtUtc": "2026-04-15T12:00:00Z", "AvailableAtUtc": "2026-04-15T12:00:00Z", "Context": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "Input": { "additionalProperty": "example" }, "Working": { "additionalProperty": "example" }, "QueueId": "example"}Creation intent only. Authority is resolved from the authenticated transport.
object
Stable identity of one Moltaro resource instance.
object
object
object
Required for Queue-mode Definitions and rejected for Direct Definitions.
Examplegenerated
{ "OperationId": "example", "DefinitionId": "example", "ResponsibleId": "example", "OwnerId": "example", "Subject": "example", "Description": "example", "DueAtUtc": "2026-04-15T12:00:00Z", "AvailableAtUtc": "2026-04-15T12:00:00Z", "Context": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "Input": { "additionalProperty": "example" }, "Working": { "additionalProperty": "example" }, "QueueId": "example"}Creation intent only. Authority is resolved from the authenticated transport.
object
Stable identity of one Moltaro resource instance.
object
object
object
Required for Queue-mode Definitions and rejected for Direct Definitions.
Examplegenerated
{ "OperationId": "example", "DefinitionId": "example", "ResponsibleId": "example", "OwnerId": "example", "Subject": "example", "Description": "example", "DueAtUtc": "2026-04-15T12:00:00Z", "AvailableAtUtc": "2026-04-15T12:00:00Z", "Context": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "Input": { "additionalProperty": "example" }, "Working": { "additionalProperty": "example" }, "QueueId": "example"}Responses
Section titled “Responses”OK
object
A committed creation can succeed without permission to disclose the resulting resource.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
A committed creation can succeed without permission to disclose the resulting resource.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
A committed creation can succeed without permission to disclose the resulting resource.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Not Found
object
A committed creation can succeed without permission to disclose the resulting resource.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
A committed creation can succeed without permission to disclose the resulting resource.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}